/* -*- Mode: C; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- */
/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details:
 *
 * Copyright (C) 2011 Novatel Wireless, Inc.
 */

#ifndef MM_MODEM_LTE_H
#define MM_MODEM_LTE_H

typedef enum {
    MM_MODEM_LTE_ALLOWED_MODE_AUTOMATIC       = 0,
    MM_MODEM_LTE_ALLOWED_MODE_GSM_PREFERRED   = 1,
    MM_MODEM_LTE_ALLOWED_MODE_WCDMA_PREFERRED = 2,
    
    MM_MODEM_LTE_ALLOWED_MODE_LAST = MM_MODEM_LTE_ALLOWED_MODE_WCDMA_PREFERRED
} MMModemLteAllowedMode;

typedef enum {
    MM_MODEM_LTE_ACCESS_TECH_UNKNOWN    = 0 ,
    MM_MODEM_LTE_ACCESS_TECH_GSM        = 1 ,
    MM_MODEM_LTE_ACCESS_TECH_GPRS       = 2 ,
    MM_MODEM_LTE_ACCESS_TECH_EDGE       = 3 ,
    MM_MODEM_LTE_ACCESS_TECH_UMTS       = 4 ,
    MM_MODEM_LTE_ACCESS_TECH_HSDPA      = 5 ,
    MM_MODEM_LTE_ACCESS_TECH_HSPA       = 6 ,
    MM_MODEM_LTE_ACCESS_TECH_LTE        = 7 ,
    MM_MODEM_LTE_ACCESS_TECH_1xRTT      = 8 , 
    MM_MODEM_LTE_ACCESS_TECH_EvDO       = 9 ,
    MM_MODEM_LTE_ACCESS_TECH_EvDO_Rel0  = 10 ,
    MM_MODEM_LTE_ACCESS_TECH_EvDOA      = 11 ,
    
    MM_MODEM_LTE_ACCESS_TECH_LAST = MM_MODEM_LTE_ACCESS_TECH_EvDOA 
} MMModemLteAccessTech;

typedef enum {
    MM_MODEM_LTE_BAND_UNKNOWN           = 0x00000000,
    MM_MODEM_LTE_BAND_BC0_A             = 0x00000001, //CDMA2000 Band Class 0, A-System
    MM_MODEM_LTE_BAND_BC0_B             = 0x00000002, //CDMA2000 Band Class 0, B-System
    MM_MODEM_LTE_BAND_BC1               = 0x00000004, //CDMA2000 Band Class 1, all blocks
    MM_MODEM_LTE_BAND_BC2               = 0x00000008, //CDMA2000 Band Class 2 place holder
    MM_MODEM_LTE_BAND_BC3               = 0x00000010, //CDMA2000 Band Class 3, A-System
    MM_MODEM_LTE_BAND_BC4               = 0x00000020, //CDMA2000 Band Class 4, all blocks
    MM_MODEM_LTE_BAND_BC5               = 0x00000040, //CDMA2000 Band Class 5, all blocks
    MM_MODEM_LTE_BAND_GSM_DCS_1800      = 0x00000080, //GSM DCS band
    MM_MODEM_LTE_BAND_GSM_EGSM_900      = 0x00000100, //GSM Extended GSM (E-GSM) band
    MM_MODEM_LTE_BAND_GSM_PGSM_900      = 0x00000200, //GSM Primary GSM (P-GSM) band
    MM_MODEM_LTE_BAND_BC6               = 0x00000400, //CDMA2000 Band Class 6
    MM_MODEM_LTE_BAND_BC7               = 0x00000800, //CDMA2000 Band Class 7
    MM_MODEM_LTE_BAND_BC8               = 0x00001000, //CDMA2000 Band Class 8
    MM_MODEM_LTE_BAND_BC9               = 0x00002000, //CDMA2000 Band Class 9
    MM_MODEM_LTE_BAND_BC10              = 0x00004000, //CDMA2000 Band Class 10
    MM_MODEM_LTE_BAND_BC11              = 0x00008000, //CDMA2000 Band Class 11
    MM_MODEM_LTE_BAND_GSM_450           = 0x00010000, //GSM 450 band
    MM_MODEM_LTE_BAND_GSM_480           = 0x00020000, //GSM 480 band
    MM_MODEM_LTE_BAND_GSM_750           = 0x00040000, //GSM 750 band
    MM_MODEM_LTE_BAND_GSM_850           = 0x00080000, //GSM 850 band
    MM_MODEM_LTE_BAND_GSM_RGSM_900      = 0x00100000, //GSM Railways GSM Band
    MM_MODEM_LTE_BAND_GSM_PCS_1900      = 0x00200000, //GSM PCS band
    MM_MODEM_LTE_BAND_WCDMA_I_IMT_2000  = 0x00400000, //WCDMA I IMT 2000 band
    MM_MODEM_LTE_BAND_WCDMA_II_PCS_1900 = 0x00800000, //WCDMA II PCS band
    MM_MODEM_LTE_BAND_WCDMA_III_1700    = 0x01000000, //WCDMA III 1700 band
    MM_MODEM_LTE_BAND_WCDMA_IV_1700     = 0x02000000, //WCDMA IV 1700 band
    MM_MODEM_LTE_BAND_WCDMA_V_850       = 0x04000000, //WCDMA V US850 band
    MM_MODEM_LTE_BAND_WCDMA_VI_800      = 0x08000000, //WCDMA VI JAPAN 800 band
    MM_MODEM_LTE_BAND_RESERVED_1        = 0x10000000, //for BC12/BC14 Reserved
    MM_MODEM_LTE_BAND_RESERVED_2        = 0x20000000, //for BC12/BC14 Reserved
    MM_MODEM_LTE_BAND_RESERVED_3        = 0x40000000, //Reserved
    MM_MODEM_LTE_BAND_RESERVED_4        = 0x80000000, //Reserved
} MMModemLteBand;


#endif  /* MM_MODEM_LTE_H */
